Show / Hide Table of Contents

# Struct ImVector<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImVector<T>

##### Type Parameters

Name | Description
--- | ---
T |

### Constructors

| Improve this Doc View Source

#### ImVector(ImVector)

##### Declaration

    public ImVector(ImVector vector)

##### Parameters

Type | Name | Description
--- | --- | ---
ImVector | vector |

| Improve this Doc View Source

#### ImVector(Int32, Int32, IntPtr)

##### Declaration

    public ImVector(int size, int capacity, IntPtr data)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | size |
System.Int32 | capacity |
System.IntPtr | data |

### Fields

| Improve this Doc View Source

#### Capacity

##### Declaration

    public readonly int Capacity

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Data

##### Declaration

    public readonly IntPtr Data

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Size

##### Declaration

    public readonly int Size

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Properties

| Improve this Doc View Source

#### Item[Int32]

##### Declaration

    public T this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Property Value

Type | Description
--- | ---
T |